## abiword 3.0.2

=== debian/changelog ===
abiword (3.0.2-6) unstable; urgency=medium

  * QA upload.
  * Compile with --with-gnomevfs to fix CVE-2017-17529
    (Closes: #884923).
  * Bump to debhelper compat 11, no changes needed.
  * Bump Standards-version to 4.1.3, no changes needed.
  * Update Vcs-* to reflect the move to Salsa.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 11 Mar 2018 04:41:01 -0500

abiword (3.0.2-5) unstable; urgency=medium

  * QA upload.
  * Fix build with libical3. Closes: #883924.
  * Add explicit build dependency on libical-dev (>= 3.0).
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Sun, 10 Dec 2017 09:37:43 +0100

abiword (3.0.2-4) unstable; urgency=high

  [ Simon Quigley ]
  * QA upload.
  * Fix flickering (Closes: #851052, #848838) (LP: #1574278).

  [ Jeremy Bicha ]
  * Bump Standards-Version to 4.1.1

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 30 Sep 2017 16:49:32 -0400

abiword (3.0.2-3) unstable; urgency=medium

  [ Simon Quigley ]
  * QA upload.
  * Run wrap-and-sort to clean up the package a bit.
  * Bump Standards-version to 4.0.0, no changes needed.
  * Modify debian/rules to use instead of dpkg-parsechangelog.
  * Add Multi-Arch: same for abiword-plugin-grammar.
  * Solve binary file conflict between abiword-dbgsym
    and abiword-plugin-grammar-dbgsym (Closes: #868537).

  [ Jeremy Bicha ]
  * Rename gir1.2-abiword-1.0 to gir1.2-abi-1.0 to fix Lintian warning.
  * Have libabiword-3.0-dev depend on gir package.

  [ Mattia Rizzolo ]
  * Rename libabiword-3.0-dev to libabiword-dev, to better comply to
    Debian Policy § 8.4.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 30 Jul 2017 14:58:05 -0500

abiword (3.0.2-2) sid; urgency=high

  * Add gtk322.patch:
    - Upstream patch to fix black background with GTK 3.22
      (Closes: #842443) (LP: #1637893)
  * Bump dh compat to 10
  * debian/control:
    - Build-depend on libtool-bin for dh_auto_test

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 07 Dec 2016 15:13:02 -0500

abiword (3.0.2-1) unstable; urgency=medium

  * QA upload
  * New upstream release
  * Drop patches applied in new version
  * Add Multi-Arch fields suggested by the multi-arch hinter

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 21 Oct 2016 17:20:53 -0400

=== debian/control ===
Source: abiword
Section: gnome
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: bison,
               debhelper (>= 11),
               flex,
               gobject-introspection,
               libaiksaurus-1.2-dev (>= 1.2.1+dev-0.12-6.3~),
               libaiksaurusgtk-1.2-dev (>= 1.2.1+dev-0.12-6.3~),
               libasio-dev,
               libboost-dev,
               libchamplain-gtk-0.12-dev,
               libebook1.2-dev (>= 3.8.5),
               libical-dev (>= 3.0),
               libecal1.2-dev (>= 3.8.5),
               libenchant-dev,
               libfribidi-dev,
               libgcrypt20-dev,
               libgirepository1.0-dev,
               libglib2.0-dev,
               libgoffice-0.10-dev,
               libgtk-3-dev,
               libjpeg-dev,
               liblink-grammar-dev,
               libloudmouth1-dev,
               libots-dev,
               libpng-dev,
               librdf0-dev,
               libreadline-dev,
               librevenge-dev,
               librsvg2-dev,
               libsoup2.4-dev,
               libtelepathy-glib-dev,
               libtidy-dev,
               libtool-bin <!nocheck>,
               libwmf-dev,
               libwpd-dev (>= 0.10),
               libwpg-dev (>= 0.3),
               libwps-dev (>= 0.3),
               libwv-dev,
               libxslt-dev | libxslt1-dev,
               valgrind [amd64 arm64 armhf i386 mips mips64el powerpc ppc64el s390x] <!nocheck>
Standards-Version: 4.1.3
Homepage: http://www.abisource.com/
Vcs-Browser: https://salsa.debian.org/debian/abiword
Vcs-Git: https://salsa.debian.org/debian/abiword.git

Package: abiword-common
Section: editors
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: efficient, featureful word processor with collaboration -- common files
 AbiWord is a full-featured, efficient word processing application.
 It is suitable for a wide variety of word processing tasks, and
 is extensible with a variety of plugins.
 .
 This package contains the common files that are used on all architectures
 without modification.

Package: abiword
Section: editors
Architecture: any
Depends: abiword-common (>= ${source:Version}),
         gsfonts,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: abiword-plugin-grammar,
            aspell-en | aspell-dictionary,
            fonts-liberation,
            poppler-utils
Description: efficient, featureful word processor with collaboration
 AbiWord is a full-featured, efficient word processing application.
 It is suitable for a wide variety of word processing tasks, and
 is extensible with a variety of plugins.
 .
 This package includes many of the available import/export plugins allowing
 AbiWord to interact with ODT, WordPerfect, and other formats.  It also
 includes tools plugins, offering live collaboration with AbiWord users
 on Linux and Windows (using TCP or Jabber/XMPP), web translation and
 dictionary support, and more.

Package: abiword-plugin-grammar
Section: editors
Architecture: any
Multi-Arch: same
Depends: abiword (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Enhances: abiword
Description: grammar checking plugin for AbiWord
 AbiWord is a full-featured, efficient word processing application.
 It is suitable for a wide variety of word processing tasks, and
 is extensible with a variety of plugins.
 .
 This package contains an in-line grammar checking system for AbiWord
 documents. Only English is currently supported.

Package: libabiword-3.0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: efficient, featureful word processor with collaboration -- shared library
 AbiWord is a full-featured, efficient word processing application.
 It is suitable for a wide variety of word processing tasks, and
 is extensible with a variety of plugins.
 .
 This package contains the shared library, enabling other applications to
 integrate AbiWord functionality.

Package: libabiword-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: gir1.2-abi-3.0 (= ${binary:Version}),
         libabiword-3.0 (= ${binary:Version}),
         libcairo-dev | libcairo2-dev,
         libebook1.2-dev,
         libecal1.2-dev,
         libenchant-dev,
         libfribidi-dev,
         libglib2.0-dev,
         libgoffice-0.10-dev,
         libgsf-1-dev,
         libgtk-3-dev,
         libical-dev (>= 3.0),
         libpango1.0-dev,
         librasqal3-dev,
         librdf0-dev,
         librsvg2-dev,
         libwv-dev,
         libx11-dev,
         libxslt-dev | libxslt1-dev,
         ${misc:Depends}
Description: efficient, featureful word processor with collaboration -- development files
 AbiWord is a full-featured, efficient word processing application.
 It is suitable for a wide variety of word processing tasks, and
 is extensible with a variety of plugins.
 .
 This package contains development files for software linking against
 libabiword-3.0.

Package: gir1.2-abi-3.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends}, ${misc:Depends}
Breaks: gir1.2-abiword-3.0 (<< 3.0.2-3~)
Replaces: gir1.2-abiword-3.0 (<< 3.0.2-3~)
Description: GObject introspection data for libabiword
 This package contains introspection data for libabiword.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# minimise needless linking
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

plugins := aiksaurus applix babelfish bmp clarisworks collab command docbook \
	   eml epub freetranslation garble gdict gimp google grammar hancom \
	   hrtext iscii kword latex loadbindings mht mif mswrite \
	   opendocument openwriter openxml opml ots paint passepartout pdb \
	   pdf presentation s5 sdw t602 urldict wikipedia wmf wml \
	   wordperfect wpg xslfo goffice
# plugin 'rsvg' deliberately not used due to build problems. Is it deprecated?
# plugin 'mathview' deliberately not used due to bug#785485

PKD  = $(abspath $(dir $(MAKEFILE_LIST)))
PKG  = $(DEB_SOURCE)
ifneq (,$(wildcard configure.*))
    # API version
    apiver:=$(shell perl -0ne 'print "$$1.$$2" if m{\[abi_version_major\],\s+\[(\d+)\].*?\[abi_version_minor\],\s+\[(\d+)\]}s' configure.*)
endif
# The base library name
plib=lib$(PKG)-$(apiver)

%:
	dh $@ --with gir

override_dh_clean:
	## adaptive cleaning meant to work for source archive or repository checkout.
	## clean files only if possible to regenerate
	[ ! -x "$(which flex)" ] || $(RM) -v plugins/mathview/itex2mml/lex.yy.c
	[ ! -x "tools/cdump/xp/cdump.pl" ] || $(RM) -v src/wp/ap/xp/ap_wp_sidebar.cpp
	[ ! -x "./autogen-common.sh" ] || $(RM) -v plugin*.m4 po/*.strings
	dh_clean

override_dh_autoreconf:
	$(info I: library-name=$(plib))
	$(if $(wildcard debian/$(plib).install),,$(error invalid package/library name.))
	# make plugins configuration if building from trunk
	[ ! -x "./autogen-common.sh" ] || ./autogen-common.sh
	dh_autoreconf --as-needed

#: Build instructions http://www.abisource.com/~fjf/BUILD.phtml
#: configure options reference: http://www.abisource.com/wiki/Compiling_AbiWord
override_dh_auto_configure:
	dh_auto_configure -- \
		--with-gio \
		--with-redland \
		--with-libtidy \
		--with-goffice \
		--enable-shared \
		--enable-clipart \
		--enable-templates \
		--with-gnomevfs \
		--enable-collab-backend-tcp \
		--enable-collab-backend-xmpp \
		--enable-collab-backend-sugar \
		--enable-collab-backend-service \
		--enable-collab-backend-telepathy \
		--enable-dependency-tracking \
		--enable-plugins="$(plugins)" \
		--enable-introspection
#		--enable-debug \

override_dh_auto_test:
	# do not stop on failed test(s)
	-dh_auto_test

override_dh_makeshlibs:
	dh_makeshlibs -V

override_dh_strip:
	dh_strip --dbgsym-migration='abiword-dbg (<< 3.0.1-7~)'

override_dh_install:
	dh_install
	$(RM) -v debian/abiword/usr/lib/$(DEB_HOST_MULTIARCH)/abiword-*/plugins/grammar.*

=== debian/watch ===
version=4
http://www.abisource.com/downloads/@PACKAGE@/([0-9.]+)/source/ \
	@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## abiword 3.0.2-6+9.0trisquel1

=== debian/changelog ===
abiword (3.0.2-6+9.0trisquel1) etiona; urgency=medium

  * Remove google-search plugin and non-free fonts references.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 07 Jul 2022 20:35:01 +0000

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 plugins := aiksaurus applix babelfish bmp clarisworks collab command docbook \
-	   eml epub freetranslation garble gdict gimp google grammar hancom \
+	   eml epub freetranslation garble gdict gimp grammar hancom \
 	   hrtext iscii kword latex loadbindings mht mif mswrite \
 	   opendocument openwriter openxml opml ots paint passepartout pdb \
 	   pdf presentation s5 sdw t602 urldict wikipedia wmf wml \

## abiword 3.0.2-10%2B10.0trisquel1

=== debian/rules ===
--- 
+++ 
@@ -8,17 +8,17 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
-DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
-
 # minimise needless linking
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
-plugins := aiksaurus applix babelfish bmp clarisworks collab command docbook \
+plugins := applix babelfish bmp clarisworks collab command docbook \
 	   eml epub freetranslation garble gdict gimp grammar hancom \
 	   hrtext iscii kword latex loadbindings mht mif mswrite \
 	   opendocument openwriter openxml opml ots paint passepartout pdb \
 	   pdf presentation s5 sdw t602 urldict wikipedia wmf wml \
 	   wordperfect wpg xslfo goffice
+
+# plugin 'aiksaurus' disabled until aiksaurus is ported to gtk3
 # plugin 'rsvg' deliberately not used due to build problems. Is it deprecated?
 # plugin 'mathview' deliberately not used due to bug#785485
 
@@ -82,5 +82,10 @@
 	dh_strip --dbgsym-migration='abiword-dbg (<< 3.0.1-7~)'
 
 override_dh_install:
+	find debian/tmp -name '*.la' -print -delete
 	dh_install
-	$(RM) -v debian/abiword/usr/lib/$(DEB_HOST_MULTIARCH)/abiword-*/plugins/grammar.*
+	# This needs to be installed by abiword-plugin-grammar only
+	$(RM) -v debian/abiword/usr/lib/*/abiword-*/plugins/grammar.*
+
+override_dh_missing:
+	dh_missing --fail-missing

## abiword 3.0.2-10+10.0trisquel1

=== debian/changelog ===
abiword (3.0.2-10+10.0trisquel1) nabia; urgency=medium

  * Remove google-search plugin and non-free fonts references.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 08 Jul 2022 14:18:33 +0000

abiword (3.0.2-10) unstable; urgency=medium

  * QA upload.
  * debian/patches/git_build_fix:
    - cherry pick a build fix for newer toolchain

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 02 Apr 2020 14:46:29 +0200

abiword (3.0.2-9) unstable; urgency=medium

  * QA upload.
  * build-Don-t-check-for-libecal.patch: Drop libecal BD. There's an API break
    coming up, and we can get abiword out of the transition by dropping it.
    It's not used.

 -- Iain Lane <laney@debian.org>  Wed, 14 Aug 2019 09:40:20 +0100

abiword (3.0.2-8) unstable; urgency=medium

  * QA upload.
  * Manually rebuild against tidy-html5 2:5.6.0-4 (libtidy5deb1).

  [ Jeremy Bicha ]
  * debian: Do not use debian/not-installed file, use instructions
    in debian/rules instead.

 -- Boyuan Yang <byang@debian.org>  Thu, 25 Oct 2018 21:07:17 -0400

abiword (3.0.2-7) unstable; urgency=medium

  * QA upload.

  [ Jelmer Vernooĳ ]
  * Use security copyright file URI.

  [ Boyuan Yang ]
  * Bump Standards-Version to 4.2.1 (no changes needed).
  * debian/rules: Use "dh_missing --fail-missing".
  * debian/install: Properly install missing files to avoid FTBFS
    caused by dh_missing. Files not installed are written in
    debian/not-installed.
  * Manually rebuilt against tidy-html5 v5.7.16.
  * debian/watch: Use secure uri.
  * debian/control: Add dependency on sensible-utils since abiword
    is calling it in the source code on Debian-based systems.

 -- Boyuan Yang <byang@debian.org>  Sat, 13 Oct 2018 21:50:08 -0400

## abiword 3.0.4~dfsg

=== test/wp/odt/external/Makefile ===
pack:
	rm external.odt
	cd package_odt ; zip -r ../external.odt .

install: pack
	cat external.odt >| /tmp/odt/external.odt

=== debian/changelog ===
abiword (3.0.4~dfsg-2+rpi1) bullseye-staging; urgency=medium

  [changes brought forward from 3.0.2-8+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Fri, 26 Jul 2019 19:02:13 +0000]
  * Move valgrind from build-depends to build-conflicts, raspbians valgrind
    is problematic.

 -- Raspbian forward porter <root@raspbian.org>  Thu, 18 Jun 2020 17:38:10 +0000

abiword (3.0.4~dfsg-2) unstable; urgency=medium

  * fix typo in changelog
  * fix have libabiword-dev depend on libenchant-2-dev
    (not libenchant-dev);
    really closes: bug#956710, thanks to Laurent Bigonville

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 13 Jun 2020 12:56:47 +0200

abiword (3.0.4~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * watch: fix URL
  * repackage source,
    excluding potentially non-free linked binary code
  * skip copyright scanning of some data files
  * copyright: update coverage
  * drop patches applied upstream
  * unfuzz remaining patches
  * declare compliance with Debian Policy 4.5.0
  * set Rules-Requires-Root: no
  * build-depend on autoconf-archive
  * install AppStream metadata

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 06 Jun 2020 02:26:42 +0200

abiword (3.0.2-11) unstable; urgency=medium

  * adopt package: add myself as Maintainer;
    closes: bug#740678, thanks to Dmitry Smirnov for past work
  * update git-buildpackage config:
    + enable pristine-tar
    + stop disable merge
    + enable signed tags
    + filter-out any .git* file
    + use DEP14 branch naming scheme
  * watch:
    + track Github mirror
    + rewrite usage comment
  * use debhelper compatibility level 12 (not 9);
    build-depend on debhelper-compat dh-sequence-gir
    (not debhelper gobject-introspection)
  * copyright:
    + unfuzz copyright holders
    + update and extend coverage
  * tidy patch metadata
  * add patch to use enchant2 instead of enchant;
    build-depend on libenchant-2-dev (not libenchant-dev);
    closes: bug#956710, thankt to Laurent Bigonville

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 05 Jun 2020 23:34:03 +0200

=== debian/control ===
Source: abiword
Section: gnome
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends:
 autoconf-archive,
 bison,
 debhelper-compat (= 12),
 dh-sequence-gir,
 flex,
 libaiksaurus-1.2-dev (>= 1.2.1+dev-0.12-6.3~),
 libaiksaurusgtk-1.2-dev (>= 1.2.1+dev-0.12-6.3~),
 libasio-dev,
 libboost-dev,
 libchamplain-gtk-0.12-dev,
 libebook1.2-dev (>= 3.8.5),
 libenchant-2-dev,
 libical-dev (>= 3.0),
 libfribidi-dev,
 libgcrypt20-dev,
 libgirepository1.0-dev,
 libglib2.0-dev,
 libgoffice-0.10-dev,
 libgtk-3-dev,
 libjpeg-dev,
 liblink-grammar-dev,
 libloudmouth1-dev,
 libots-dev,
 libpng-dev,
 librdf0-dev,
 libreadline-dev,
 librevenge-dev,
 librsvg2-dev,
 libsoup2.4-dev,
 libtelepathy-glib-dev,
 libtidy-dev,
 libtool-bin <!nocheck>,
 libwmf-dev,
 libwpd-dev (>= 0.10),
 libwpg-dev (>= 0.3),
 libwps-dev (>= 0.3),
 libwv-dev,
 libxslt-dev | libxslt1-dev,
Build-Conflicts:
               valgrind
Standards-Version: 4.5.0
Homepage: http://www.abisource.com/
Vcs-Browser: https://salsa.debian.org/debian/abiword
Vcs-Git: https://salsa.debian.org/debian/abiword.git
Rules-Requires-Root: no

Package: abiword-common
Section: editors
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: efficient, featureful word processor with collaboration -- common files
 AbiWord is a full-featured, efficient word processing application.
 It is suitable for a wide variety of word processing tasks, and
 is extensible with a variety of plugins.
 .
 This package contains the common files that are used on all architectures
 without modification.

Package: abiword
Section: editors
Architecture: any
Depends:
 abiword-common (>= ${source:Version}),
 gsfonts,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 abiword-plugin-grammar,
 aspell-en | aspell-dictionary,
 fonts-liberation,
 poppler-utils,
Description: efficient, featureful word processor with collaboration
 AbiWord is a full-featured, efficient word processing application.
 It is suitable for a wide variety of word processing tasks, and
 is extensible with a variety of plugins.
 .
 This package includes many of the available import/export plugins allowing
 AbiWord to interact with ODT, WordPerfect, and other formats.  It also
 includes tools plugins, offering live collaboration with AbiWord users
 on Linux and Windows (using TCP or Jabber/XMPP), web translation and
 dictionary support, and more.

Package: abiword-plugin-grammar
Section: editors
Architecture: any
Multi-Arch: same
Depends:
 abiword (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Enhances:
 abiword,
Description: grammar checking plugin for AbiWord
 AbiWord is a full-featured, efficient word processing application.
 It is suitable for a wide variety of word processing tasks, and
 is extensible with a variety of plugins.
 .
 This package contains an in-line grammar checking system for AbiWord
 documents. Only English is currently supported.

Package: libabiword-3.0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 sensible-utils,
 ${misc:Depends},
 ${shlibs:Depends},
Description: efficient, featureful word processor with collaboration -- shared library
 AbiWord is a full-featured, efficient word processing application.
 It is suitable for a wide variety of word processing tasks, and
 is extensible with a variety of plugins.
 .
 This package contains the shared library, enabling other applications to
 integrate AbiWord functionality.

Package: libabiword-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 gir1.2-abi-3.0 (= ${binary:Version}),
 libabiword-3.0 (= ${binary:Version}),
 libcairo-dev | libcairo2-dev,
 libebook1.2-dev,
 libenchant-2-dev,
 libfribidi-dev,
 libglib2.0-dev,
 libgoffice-0.10-dev,
 libgsf-1-dev,
 libgtk-3-dev,
 libical-dev (>= 3.0),
 libpango1.0-dev,
 librasqal3-dev,
 librdf0-dev,
 librsvg2-dev,
 libwv-dev,
 libx11-dev,
 libxslt-dev | libxslt1-dev,
 ${misc:Depends},
Description: efficient, featureful word processor with collaboration -- development files
 AbiWord is a full-featured, efficient word processing application.
 It is suitable for a wide variety of word processing tasks, and
 is extensible with a variety of plugins.
 .
 This package contains development files for software linking against
 libabiword-3.0.

Package: gir1.2-abi-3.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends:
 ${gir:Depends},
 ${misc:Depends},
Breaks:
 gir1.2-abiword-3.0 (<< 3.0.2-3~),
Replaces:
 gir1.2-abiword-3.0 (<< 3.0.2-3~),
Description: GObject introspection data for libabiword
 This package contains introspection data for libabiword.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 plugins := applix babelfish bmp clarisworks collab command docbook \
-	   eml epub freetranslation garble gdict gimp grammar hancom \
+	   eml epub freetranslation garble gdict gimp google grammar hancom \
 	   hrtext iscii kword latex loadbindings mht mif mswrite \
 	   opendocument openwriter openxml opml ots paint passepartout pdb \
 	   pdf presentation s5 sdw t602 urldict wikipedia wmf wml \
@@ -32,7 +32,7 @@
 plib=lib$(PKG)-$(apiver)
 
 %:
-	dh $@ --with gir
+	dh $@
 
 override_dh_clean:
 	## adaptive cleaning meant to work for source archive or repository checkout.

## abiword 3.0.5~dfsg

=== debian/changelog ===
abiword (3.0.5~dfsg-3.2build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:35:25 +0000

abiword (3.0.5~dfsg-3.2build3) noble; urgency=medium

  * No-change rebuild against libreadline t64.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Mar 2024 02:53:10 +0100

abiword (3.0.5~dfsg-3.2build2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 21:59:48 +0000

abiword (3.0.5~dfsg-3.2build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 05:57:34 +0000

abiword (3.0.5~dfsg-3.2) unstable; urgency=medium

  * Non-maintainer upload
  * Disable collab plugin: it uses libsoup2.4 which isn't compatible
    with evolution-data-server 3.45 (Closes: #1019339)
  * Drop unused aiksaurus patch & build dependency

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 11 Sep 2022 14:35:04 -0400

abiword (3.0.5~dfsg-3.1) unstable; urgency=high

  * Non-maintainer upload

  [ Jonas Smedegaard ]
  * depend on fonts-urw-base35 (favored over now transitional gsfonts)

  [ Eric Long ]
  * Add patch to workaround build test timeout on several architectures
    by disabling a test on those architectures (Closes: #1018753)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 07 Sep 2022 16:17:42 -0400

abiword (3.0.5~dfsg-3) unstable; urgency=medium

  * update git-buildpackage config:
    + use DEP-14 git branches
    + enable automatic DEP-14 branch name handling
    + add usage config
  * fix lintian overrides

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 27 Aug 2022 13:49:32 +0200

abiword (3.0.5~dfsg-2) unstable; urgency=medium

  * stop build-depend on libchamplain-gtk-0.12-dev;
    closes: bug#1018130, thanks to Simon McVittie
  * update copyright info:
    + update coverage
    + use field Reference (not License-Reference);
      silence related lintian warnings
  * declare compliance with Debian Policy 4.6.1
  * lift ancient build-dependency versioning constraints
  * drop ancient breaks/replaces on gir1.2-abiword-3.0

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 26 Aug 2022 07:37:27 +0200

abiword (3.0.5~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update watch file to trach GNOME Gitlab source
  * drop patches cherry-picked upstream now applied
  * add patch cherry-picked upstream
    to remove deprecated throw specifiers;
    closes: bug#983960, thanks to Matthias Klose and Lukas Märdian
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 10 Aug 2021 18:38:54 +0200

abiword (3.0.4~dfsg-3) unstable; urgency=medium

  * add patches cherry-picked upstream:
    + gtk+TableWidget: fix display of the TableWidget
    + an incorrect check for null
    + define ASIO_ENABLE_BOOST when building collab plugin;
      closes: bug#980594, thanks to Lucas Nussbaum
    + msword: Fix a potential buffer overrun in footnotes and endnotes
  * declare compliance with Debian Policy 4.5.1
  * use debhelper compatibility level 13 (not 12)

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 25 Jan 2021 03:50:44 +0100

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,25 @@
 Source: abiword
 Section: gnome
 Priority: optional
-Maintainer: Jonas Smedegaard <dr@jones.dk>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jonas Smedegaard <dr@jones.dk>
 Build-Depends:
  autoconf-archive,
  bison,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-sequence-gir,
  flex,
- libaiksaurus-1.2-dev (>= 1.2.1+dev-0.12-6.3~),
- libaiksaurusgtk-1.2-dev (>= 1.2.1+dev-0.12-6.3~),
  libasio-dev,
  libboost-dev,
- libchamplain-gtk-0.12-dev,
- libebook1.2-dev (>= 3.8.5),
+ libebook1.2-dev,
  libenchant-2-dev,
- libical-dev (>= 3.0),
  libfribidi-dev,
  libgcrypt20-dev,
  libgirepository1.0-dev,
  libglib2.0-dev,
  libgoffice-0.10-dev,
  libgtk-3-dev,
+ libical-dev,
  libjpeg-dev,
  liblink-grammar-dev,
  libloudmouth1-dev,
@@ -31,19 +29,16 @@
  libreadline-dev,
  librevenge-dev,
  librsvg2-dev,
- libsoup2.4-dev,
- libtelepathy-glib-dev,
  libtidy-dev,
  libtool-bin <!nocheck>,
  libwmf-dev,
- libwpd-dev (>= 0.10),
- libwpg-dev (>= 0.3),
- libwps-dev (>= 0.3),
+ libwpd-dev,
+ libwpg-dev,
+ libwps-dev,
  libwv-dev,
  libxslt-dev | libxslt1-dev,
-Build-Conflicts:
-               valgrind
-Standards-Version: 4.5.0
+ valgrind [amd64 arm64 armhf i386 mips mips64el powerpc ppc64el s390x] <!nocheck>,
+Standards-Version: 4.6.1
 Homepage: http://www.abisource.com/
 Vcs-Browser: https://salsa.debian.org/debian/abiword
 Vcs-Git: https://salsa.debian.org/debian/abiword.git
@@ -68,7 +63,7 @@
 Architecture: any
 Depends:
  abiword-common (>= ${source:Version}),
- gsfonts,
+ fonts-urw-base35 (>= 20200910-2~) | gsfonts,
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
@@ -162,10 +157,6 @@
 Depends:
  ${gir:Depends},
  ${misc:Depends},
-Breaks:
- gir1.2-abiword-3.0 (<< 3.0.2-3~),
-Replaces:
- gir1.2-abiword-3.0 (<< 3.0.2-3~),
 Description: GObject introspection data for libabiword
  This package contains introspection data for libabiword.
  .

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
repacksuffix=~dfsg,\
filenamemangle=s/.*?release-(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/,\
dversionmangle=auto \
https://gitlab.gnome.org/World/AbiWord/-/tags \
.*?release-@ANY_VERSION@@ARCHIVE_EXT@

## abiword 3.0.5~dfsg-1+11.0trisquel1

=== debian/changelog ===
abiword (3.0.5~dfsg-1+11.0trisquel1) aramo; urgency=medium

  * Remove google-search plugin and non-free fonts references.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 10 Jul 2022 21:53:59 +0000

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 plugins := applix babelfish bmp clarisworks collab command docbook \
-	   eml epub freetranslation garble gdict gimp google grammar hancom \
+	   eml epub freetranslation garble gdict gimp grammar hancom \
 	   hrtext iscii kword latex loadbindings mht mif mswrite \
 	   opendocument openwriter openxml opml ots paint passepartout pdb \
 	   pdf presentation s5 sdw t602 urldict wikipedia wmf wml \

## abiword 3.0.5~dfsg-3.2build4trisquel1

=== debian/changelog ===
abiword (3.0.5~dfsg-3.2build4trisquel1) ecne; urgency=medium

  * Remove google-search plugin and non-free fonts references.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 09 Oct 2024 16:31:26 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: abiword
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: Jonas Smedegaard <dr@jones.dk>
 Build-Depends:
  autoconf-archive,

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # minimise needless linking
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
-plugins := applix babelfish bmp clarisworks collab command docbook \
+plugins := applix babelfish bmp clarisworks command docbook \
 	   eml epub freetranslation garble gdict gimp grammar hancom \
 	   hrtext iscii kword latex loadbindings mht mif mswrite \
 	   opendocument openwriter openxml opml ots paint passepartout pdb \
@@ -19,6 +19,7 @@
 	   wordperfect wpg xslfo goffice
 
 # plugin 'aiksaurus' disabled until aiksaurus is ported to gtk3
+# plugin 'collab' disabled until it is ported to libsoup3 #1019339
 # plugin 'rsvg' deliberately not used due to build problems. Is it deprecated?
 # plugin 'mathview' deliberately not used due to bug#785485

## abiword 3.0.6~dfsg

=== debian/changelog ===
abiword (3.0.6~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update source URIs to use gitlab.gnome.org
  * update watch file:
    + fix matching
    + use searchmode plain
    + improve filename mangling
  * drop patch to fix build with libxml2 2.12, applied upstream
  * declare compliance with Debian Policy 4.7.0
  * unfuzz patches
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 05 Nov 2024 16:30:09 +0100

abiword (3.0.5~dfsg-3.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop extra changelog entry

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 27 Sep 2024 17:05:35 +0200

abiword (3.0.5~dfsg-3.4) unstable; urgency=medium

  * Non-maintainer upload.

  [ zhangdandan <zhangdandan@loongson.cn> ]
  * Fix FTBFS on loong64 platform (test timeout) (disable test on loong64)
    (Closes: #1058667)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 27 Sep 2024 16:06:42 +0200

abiword (3.0.5~dfsg-3.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS against libxml2 2.12, using patch from upstream GIT.
    Closes: #1073339
  * Drop outdated copy of libgcrypt.m4 to let autoreconf use the current
    version which works without libgcrypt-config even when AM_PATH_GPG_ERROR()
    is not used. Closes: #1070892

 -- Andreas Metzler <ametzler@debian.org>  Wed, 03 Jul 2024 18:41:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: abiword
 Section: gnome
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
-XSBC-Original-Maintainer: Jonas Smedegaard <dr@jones.dk>
+Maintainer: Jonas Smedegaard <dr@jones.dk>
 Build-Depends:
  autoconf-archive,
  bison,
@@ -38,8 +37,8 @@
  libwv-dev,
  libxslt-dev | libxslt1-dev,
  valgrind [amd64 arm64 armhf i386 mips mips64el powerpc ppc64el s390x] <!nocheck>,
-Standards-Version: 4.6.1
-Homepage: http://www.abisource.com/
+Standards-Version: 4.7.0
+Homepage: https://gitlab.gnome.org/World/AbiWord
 Vcs-Browser: https://salsa.debian.org/debian/abiword
 Vcs-Git: https://salsa.debian.org/debian/abiword.git
 Rules-Requires-Root: no

## abiword 3.0.7~dfsg

=== test/wp/odt/parawithid/Makefile ===
pack:
	rm document.odt
	cd package_odt ; zip -r ../document.odt .

install: pack
	mkdir -p /tmp/odt
	cat document.odt >| /tmp/odt/document.odt

unpack:
	mkdir -p package_odt
	cd package_odt; unzip -o  ../document.odt
	echo "all:" >| package_odt/Makefile
	echo "	cd .. && make install" >> package_odt/Makefile
	cd package_odt; mv content.xml content.xml.original; xmllint --format content.xml.original >| content.xml

=== debian/changelog ===
abiword (3.0.7~dfsg-3) unstable; urgency=medium

  * build-depend on gir1.2-gobject-2.0 gir1.2-gsf-1 gir1.2-gtk-3.0
    and on recent gobject-introspection
    (not libgirepository1.0-dev);
    have libabiword-dev depend on ${gir:Depends}
    (not gir1.2-abi-3.0);
    closes: bug#1118784, thanks to Simon McVittie

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 25 Oct 2025 16:33:02 +0200

abiword (3.0.7~dfsg-2) unstable; urgency=medium

  * no-changes source-only upload to enable testing migration

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 10 Aug 2025 14:54:18 +0200

abiword (3.0.7~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * declare compliance with Debian Policy 4.7.2
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 31 Jul 2025 07:29:09 +0200

=== debian/control ===
--- 
+++ 
@@ -8,13 +8,16 @@
  debhelper-compat (= 13),
  dh-sequence-gir,
  flex,
+ gir1.2-gobject-2.0,
+ gir1.2-gsf-1,
+ gir1.2-gtk-3.0,
+ gobject-introspection (>= 1.80),
  libasio-dev,
  libboost-dev,
  libebook1.2-dev,
  libenchant-2-dev,
  libfribidi-dev,
  libgcrypt20-dev,
- libgirepository1.0-dev,
  libglib2.0-dev,
  libgoffice-0.10-dev,
  libgtk-3-dev,
@@ -37,7 +40,7 @@
  libwv-dev,
  libxslt-dev | libxslt1-dev,
  valgrind [amd64 arm64 armhf i386 mips mips64el powerpc ppc64el s390x] <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://gitlab.gnome.org/World/AbiWord
 Vcs-Browser: https://salsa.debian.org/debian/abiword
 Vcs-Git: https://salsa.debian.org/debian/abiword.git
@@ -122,7 +125,6 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- gir1.2-abi-3.0 (= ${binary:Version}),
  libabiword-3.0 (= ${binary:Version}),
  libcairo-dev | libcairo2-dev,
  libebook1.2-dev,
@@ -140,6 +142,7 @@
  libwv-dev,
  libx11-dev,
  libxslt-dev | libxslt1-dev,
+ ${gir:Depends},
  ${misc:Depends},
 Description: efficient, featureful word processor with collaboration -- development files
  AbiWord is a full-featured, efficient word processing application.

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 plugins := applix babelfish bmp clarisworks command docbook \
-	   eml epub freetranslation garble gdict gimp grammar hancom \
+	   eml epub freetranslation garble gdict gimp google grammar hancom \
 	   hrtext iscii kword latex loadbindings mht mif mswrite \
 	   opendocument openwriter openxml opml ots paint passepartout pdb \
 	   pdf presentation s5 sdw t602 urldict wikipedia wmf wml \

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
searchmode=plain,\
downloadurlmangle=s/tags-\///,\
repacksuffix=~dfsg,\
filenamemangle=s/.*?@ANY_VERSION@(@ARCHIVE_EXT@)/@PACKAGE@_$1.orig$2/,\
dversionmangle=auto \
https://gitlab.gnome.org/World/AbiWord/-/tags \
-/archive/release-\d[\d.]+/AbiWord-release-@ANY_VERSION@@ARCHIVE_EXT@

## abiword 3.0.8%2Bds

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: abiword
 Section: gnome
-Priority: optional
 Maintainer: Jonas Smedegaard <dr@jones.dk>
 Build-Depends:
  autoconf-archive,
@@ -32,7 +31,7 @@
  librevenge-dev,
  librsvg2-dev,
  libtidy-dev,
- libtool-bin <!nocheck>,
+ libtool,
  libwmf-dev,
  libwpd-dev,
  libwpg-dev,
@@ -40,11 +39,10 @@
  libwv-dev,
  libxslt-dev | libxslt1-dev,
  valgrind [amd64 arm64 armhf i386 mips mips64el powerpc ppc64el s390x] <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://gitlab.gnome.org/World/AbiWord
 Vcs-Browser: https://salsa.debian.org/debian/abiword
 Vcs-Git: https://salsa.debian.org/debian/abiword.git
-Rules-Requires-Root: no
 
 Package: abiword-common
 Section: editors

## abiword 3.0.8+ds

=== debian/changelog ===
abiword (3.0.8+ds-1~mx25+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Restore Priority field for MX backports.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 18 Feb 2026 12:39:26 -0800

abiword (3.0.8+ds-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update copyright info:
    + avoid any .git* files when repackaging upstream source
    + license patches same as main upstream license
    + update coverage
  * update git-buildpackage config:
    + filter out debian subdir
    + stop superfluously filter out .git* files
    + improve usage comment
  * update watch file:
    + use file format version 5
    + mangle upstream version
  * drop patch librevenge, obsoleted by upstream changes
  * update DEP-3 patch headers
  * stop superfluously set fields Rules-Requires-Root Priority
  * declare compliance with Debian Policy 4.7.3

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 18 Feb 2026 11:33:46 +0100

abiword (3.0.7~dfsg-4) unstable; urgency=medium

  * modernize source helper script copyright-check
  * update copyright info: update coverage
  * add patch to use locally configured libtool;
    build-depend on libtool
    (not libtool-bin, and unconditionally);
    closes: bug#1122138, thanks to Helmut Grohne

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 07 Dec 2025 21:50:27 +0100

=== debian/control ===
Source: abiword
Section: gnome
# Restore Priority field for MX backports
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gir,
               autoconf-archive,
               bison,
               flex,
               gir1.2-gobject-2.0,
               gir1.2-gsf-1,
               gir1.2-gtk-3.0,
               gobject-introspection (>= 1.80),
               libasio-dev,
               libboost-dev,
               libebook1.2-dev,
               libenchant-2-dev,
               libfribidi-dev,
               libgcrypt20-dev,
               libglib2.0-dev,
               libgoffice-0.10-dev,
               libgtk-3-dev,
               libical-dev,
               libjpeg-dev,
               liblink-grammar-dev,
               libloudmouth1-dev,
               libots-dev,
               libpng-dev,
               librdf0-dev,
               libreadline-dev,
               librevenge-dev,
               librsvg2-dev,
               libtidy-dev,
               libtool,
               libwmf-dev,
               libwpd-dev,
               libwpg-dev,
               libwps-dev,
               libwv-dev,
               libxslt-dev | libxslt1-dev,
               valgrind [amd64 arm64 armhf i386 mips mips64el powerpc ppc64el s390x] <!nocheck>
Standards-Version: 4.7.3
Homepage: https://gitlab.gnome.org/World/AbiWord
Vcs-Browser: https://salsa.debian.org/debian/abiword
Vcs-Git: https://salsa.debian.org/debian/abiword.git

Package: abiword-common
Section: editors
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: efficient, featureful word processor with collaboration -- common files
 AbiWord is a full-featured, efficient word processing application.
 It is suitable for a wide variety of word processing tasks, and
 is extensible with a variety of plugins.
 .
 This package contains the common files that are used on all architectures
 without modification.

Package: abiword
Section: editors
Architecture: any
Depends: abiword-common (>= ${source:Version}),
         fonts-urw-base35 (>= 20200910-2~) | gsfonts,
         ${misc:Depends},
         ${shlibs:Depends},
            abiword-plugin-grammar,
            aspell-en | aspell-dictionary,
            fonts-liberation,
            poppler-utils
Description: efficient, featureful word processor with collaboration
 AbiWord is a full-featured, efficient word processing application.
 It is suitable for a wide variety of word processing tasks, and
 is extensible with a variety of plugins.
 .
 This package includes many of the available import/export plugins allowing
 AbiWord to interact with ODT, WordPerfect, and other formats.  It also
 includes tools plugins, offering live collaboration with AbiWord users
 on Linux and Windows (using TCP or Jabber/XMPP), web translation and
 dictionary support, and more.

Package: abiword-plugin-grammar
Section: editors
Architecture: any
Multi-Arch: same
Depends: abiword (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Enhances: abiword
Description: grammar checking plugin for AbiWord
 AbiWord is a full-featured, efficient word processing application.
 It is suitable for a wide variety of word processing tasks, and
 is extensible with a variety of plugins.
 .
 This package contains an in-line grammar checking system for AbiWord
 documents. Only English is currently supported.

Package: libabiword-3.0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: sensible-utils, ${misc:Depends}, ${shlibs:Depends}
Description: efficient, featureful word processor with collaboration -- shared library
 AbiWord is a full-featured, efficient word processing application.
 It is suitable for a wide variety of word processing tasks, and
 is extensible with a variety of plugins.
 .
 This package contains the shared library, enabling other applications to
 integrate AbiWord functionality.

Package: libabiword-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libabiword-3.0 (= ${binary:Version}),
         libcairo-dev | libcairo2-dev,
         libebook1.2-dev,
         libenchant-2-dev,
         libfribidi-dev,
         libglib2.0-dev,
         libgoffice-0.10-dev,
         libgsf-1-dev,
         libgtk-3-dev,
         libical-dev (>= 3.0),
         libpango1.0-dev,
         librasqal3-dev,
         librdf0-dev,
         librsvg2-dev,
         libwv-dev,
         libx11-dev,
         libxslt-dev | libxslt1-dev,
         ${gir:Depends},
         ${misc:Depends}
Description: efficient, featureful word processor with collaboration -- development files
 AbiWord is a full-featured, efficient word processing application.
 It is suitable for a wide variety of word processing tasks, and
 is extensible with a variety of plugins.
 .
 This package contains development files for software linking against
 libabiword-3.0.

Package: gir1.2-abi-3.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends}, ${misc:Depends}
Description: GObject introspection data for libabiword
 This package contains introspection data for libabiword.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

=== debian/rules ===
--- 
+++ 
@@ -79,8 +79,13 @@
 override_dh_makeshlibs:
 	dh_makeshlibs -V
 
+# override_dh_strip:
+#	dh_strip --dbgsym-migration='abiword-dbg (<< 3.0.1-7~)'
+
+# No dbgsym packages:
 override_dh_strip:
-	dh_strip --dbgsym-migration='abiword-dbg (<< 3.0.1-7~)'
+	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
+	dh_strip --no-automatic-dbgsym
 
 override_dh_install:
 	find debian/tmp -name '*.la' -print -delete
